# Welcome!

Hello! Welcome to the dehub project. You've found your way onto the welcome
branch. This branch is open for anyone to leave a comment commit on it, provided
they sign their commit with a PGP key.

## Viewing comments

If you've gotten this far then viewing comments is as easy as doing `git log`.
All commits will be shown from newest to oldest. You will only see the latest
snapshot of comments that you've pulled from the server. In order to update that
snapshot do:

```
git pull -f origin public/welcome
```

## Leaving a comment

The first step to leaving a comment of your own is to install dehub. Visit
`https://dehub.dev` for more on how to do that.

Once done, and assuming you have this branch checked out (how are you reading
this if you don't?), just do the following:

```
dehub commit --anon-pgp-key=KEY_NAME comment
```

(`KEY_NAME` should be replaced with any selector which will match your pgp key,
such as the key ID, the name on the key, or the email.)

Your default text editor (defined by the `EDITOR` environment variable) will pop
up and you can then write down your comment. When you save and close your editor
dehub will sign the comment with your pgp key and create a commit with it.

You can view your newly created commit by calling `git show`.

If after you've created your comment commit (but before you've pushed it) you'd
like to amend it, do:

```
dehub commit --anon-pgp-key=KEY_NAME comment --amend
```

Finally, to push your comment commit up, you can do:

```
git push origin public/welcome
```

Once pushed, everyone will be able to see your comment!

### What to say?

Here's some starting points if you're not sure what to write in your first
comment:

* Introduce yourself; say where you're from and what your interests are.
* How did you find dehub? Why is it interesting to you?
* If you're using dehub for a project, shill your project!
* If you'd like to get involved in dehub's development, let us know what your
  skills are and how you can help. Remember, it takes more than expert
  programmers to make a project successful.

## Rules

Please be kind to others, and keep discussion related to dehub and
dehub-adjacent topics. Politics, in general, is not going to be related to
dehub. Comments which are off-topic or otherwise abusive are subject to being
removed.

